AdditionalFields (CMDB Model API)
Keywords: com.collation.platform.model.discovery.agent.AdditionalFields interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.agent
Interface AdditionalFields

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface AdditionalFields

extends ModelObject

A configuration object

Naming Rules:
  0="databaseName,documentName"
Persistable:
  true
Table Name:
  DOMINOCONFIG
Display Name:
  databaseName,documentName

Method Summary
`java.lang.String` | `getDatabaseName()`
`java.lang.String` | `getDocumentName()`
`java.lang.String` | `getFields()`
`java.lang.String` | `getViewName()`
`boolean` | `hasDatabaseName()`
`boolean` | `hasDocumentName()`
`boolean` | `hasFields()`
`boolean` | `hasViewName()`
`void` | `setDatabaseName(java.lang.String s)`
`void` | `setDocumentName(java.lang.String s)`
`void` | `setFields(java.lang.String s)`
`void` | `setViewName(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setDatabaseName

    void setDatabaseName(java.lang.String s)

### getDatabaseName

    java.lang.String getDatabaseName()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDatabaseName

    boolean hasDatabaseName()

### setViewName

    void setViewName(java.lang.String s)

### getViewName

    java.lang.String getViewName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasViewName

    boolean hasViewName()

### setDocumentName

    void setDocumentName(java.lang.String s)

### getDocumentName

    java.lang.String getDocumentName()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDocumentName

    boolean hasDocumentName()

### setFields

    void setFields(java.lang.String s)

### getFields

    java.lang.String getFields()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasFields

    boolean hasFields()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD